## swh.loader.svn-0.1.0.tar.gz

=== requirements.txt ===
# Add here external Python modules dependencies, one per line. Module names
# should match https://pypi.python.org/pypi names. For the full spec or
# dependency lines, see https://pip.readthedocs.org/en/1.1/requirements.html
vcversioner
click
retrying
python-dateutil
subvertpy >= 0.9.4

=== doc-linux/debian/changelog ===
doc-linux (2003.05-1) unstable; urgency=low

  * New upstream release (20030511) (closes: #192500).
  * New HOWTOs:
    Deciding-Linux Linksys-Blue-Box-Router Oracle-9i-RH8 Tamil-Linux
    Traffic-Control-tcng-HTB Web-Browsing-Behind-ISA-Server
    XFree-Local-multi-user
  * Updated HOWTOs:
    ADSL-Bandwidth-Management AI-Alife Astronomy Bangla-PDF Belgian
    BootPrompt C-C++Beautifier CPU-Design CVS-RCS Cluster
    DocBook-Demystification DocBook-OpenJade-SGML-XML Ecology Game-Server
    IP-Masquerade Infrared KDE-GUI-Login-Configuration Kernel KernelAnalysis
    LDAP LILO-crash-rescue Laptop Linux+IPv6 Linux+Windows
    Linux-Complete-Backup-and-Recovery Linux-Gamers Linux-Promise-RAID1
    Mail-User Medicine Modem Postfix-Cyrus-Web-cyradm Program-Library
    RedHat-CD Remote-Serial-Console Samba-Authenticated-Gateway
    Secure-Programs Serial VideoLAN Windows-LAN-Server
    - Missing space in LDAP fixed (closes: #188296).
  * New mini-HOWTO:
    Secure-CVS-Pserver
  * Updated mini-HOWTOs:
    Man-Page Wireless-Link-sys-WPC11

  * Split into free and non-free source packages, following a complete
    licence audit. I'm not a legal expert, plus there was an enormous amount
    of HOWTO material to read in the process, so I may well have made the
    odd mistake. File bugs if you find any. debian/split-package does a lot
    of the work here. The non-free binary packages are called
    doc-linux-nonfree-html and doc-linux-nonfree-text; they recommend their
    free variants for some common images and index files.
  * The non-free packages have no dhelp support. This will eventually be
    restored via doc-base.
  * Non-free HOWTOs:
    Astronomy Belarusian Chinese Config Cyrus-IMAP DOS-Win-to-Linux DVD
    Diskless-root-NFS Encourage-Women-Linux Infrared JavaStation Jaz-Drive
    Kiosk Latvian Loopback-Encrypted-Filesystem RPM SPARC Secure-Programs
    Sybase-ASA Tango TclTk UPS User-Authentication Wearable
  * Non-free mini-HOWTOs:
    3D-Modelling Automount Divert-Sockets Ext2fs-Undeletion FTP Home-Network
    Loadlin+Win95-98-ME Mail2News Offline-Mailing Process-Accounting
    Remote-Boot StarOffice Swap-Space TransparentProxy Ultra-DMA VPN

  * Update the names and addresses of the Linux-FAQ maintainer and the LDP
    coordinator.
  * Remove scrollkeeper suggestion and maintainer script code, since we
    don't have ScrollKeeper support at the moment.
  * Reduce U+201C and U+201D (Unicode directional quotes) in the HOWTO index
    to a simple &quot; for the menu file (closes: #181609).
  * Convert the Latin-1 c-cedilla in the title of the Francophones HOWTO to
    &ccedil;.
  * Building our own split tarballs allows some simplifications in
    debian/rules by moving the directory hierarchies about a bit.
  * Cope with some reorganizations in the way mini-HOWTOs are indexed.
  * Standards-Version: 3.5.9.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 May 2003 09:09:00 +0100

doc-linux (2003.02-1) unstable; urgency=low

  * New upstream release (20030212).
  * New HOWTO:
    Bangla-PDF
  * Updated HOWTOs:
    AI-Alife Apache-Compile C-C++Beautifier CD-Distributions-EN
    IP-Masquerade Kernel Keyboard-and-Console LILO-crash-rescue LVM
    Linux+IPv6 Medicine NC Psion RedHat-CD Remote-Serial-Console Vim
  * New mini-HOWTO:
    Lotus-DominoR5
  * Updated mini-HOWTOs:
    Home-Electrical-Control Wireless-Link-sys-WPC11

  * Remove "The" from the beginning of document names in dhelp and dwww
    indices, to improve sorting (closes: #177677).

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Feb 2003 23:51:45 +0000

doc-linux (2003.01-1) unstable; urgency=low

  * New upstream release (20030112).
  * New HOWTO:
    Samba-Authenticated-Gateway
  * Updated HOWTOs:
    DOSEMU Game-Server LVM Linux+IPv6 Linux-Promise-RAID1 Medicine
    Program-Library Secure-Programs Text-Terminal XDMCP
  * New mini-HOWTOs:
    Mozilla-Optimization Xterminals
  * Updated mini-HOWTOs:
    Automount Debian-Jigdo FBB Handspring-Visor Swap-Space
    Wireless-Link-sys-WPC11

  * debhelper autoscript fragments weren't being substituted into
    doc-linux-html's maintainer scripts; it turns out that this is due to
    running 'dh_clean -k' between building doc-linux-html and doc-linux-text
    but before calling dh_installdeb and so on on both binary packages at
    once, which cleans too much. Switch to 'dh_clean -d' instead.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Jan 2003 17:53:33 +0000

doc-linux (2002.12-1) unstable; urgency=low

  * New upstream release (20021215).
  * Updated HOWTOs:
    Apache-Overview Finnish Linux+IPv6 PA-RISC-Linux-Boot
  * Removed HOWTOs:
    C++Programming
  * Updated mini-HOWTOs:
    C++-dlopen Debian-Jigdo FBB PCTel-MicroModem-Config

  * Add a lintian override for the COPYING file that forms part of the
    NCURSES-Programming-HOWTO.
  * Remove the HTML version of the RedHat-CD-HOWTO (see 2002.11-1) in
    debian/rules rather than in the source tarball, in order to keep the
    tarball pristine.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Dec 2002 21:26:34 +0000

doc-linux (2002.11-1) unstable; urgency=low

  * New upstream release (20021123).
    - Sorry for the delay. Some of it was me being busy, some was
      db.tldp.org being down, and some of it was being completely unable to
      get a valid OMF file for ScrollKeeper. Upstream appears to be working
      on the latter, but for the meantime I've temporarily removed
      ScrollKeeper support in order to be able to build new versions of
      doc-linux (closes: #166261). I'll try to get back to my former upload
      frequency now.
    - Once I get a valid OMF file I'll be able to do the non-free split at
      last, since it includes a <rights /> tag ...
  * Ship HOWTOs in .tar.bz2 form in the source package rather than .tar.gz.
  * Change the patch for dangling relative links to point to tldp.org rather
    than linuxdoc.org.
  * Remove the /usr/doc symlinks.

  * New HOWTOs:


=== doc-linux/debian/control ===
Source: doc-linux
Section: doc
Priority: standard
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.5.9
Build-Depends-Indep: bzip2, debhelper

Package: doc-linux-html
Priority: optional
Architecture: all
Conflicts: doc, dhelp (<< 0.3.14), doc-linux
Replaces: doc-linux, doc-linux-text (<< 98.06-1)
Suggests: doc-base, menu, www-browser
Description: Linux HOWTOs, mini-HOWTOs, and FAQs in HTML format
 The doc-linux-html package provides the current Linux HOWTOs, mini-HOWTOs,
 and FAQs in HTML format. Alternatively, ASCII versions are provided
 in the doc-linux-text package.
 .
 The version number reflects the month in which doc-linux-html was created. 
 .
 All files are available at http://metalab.unc.edu/LDP/ (with versions
 in ASCII, DVI, HTML, postscript, and SGML).

Package: doc-linux-text
Architecture: all
Conflicts: doc, doc-linux
Replaces: doc-linux, doc-linux-html (<< 98.06-1)
Suggests: doc-linux-html
Description: Linux HOWTOs, mini-HOWTOs, and FAQs in ASCII format
 The doc-linux-text package provides the current Linux HOWTOs, mini-HOWTOs,
 and FAQs in ASCII format. Alternatively, HTML versions are provided
 in the doc-linux-html package.
 .
 The version number reflects the month in which doc-linux-text was created. 
 .
 All files are available at http://metalab.unc.edu/LDP/ (with versions
 in ASCII, DVI, HTML, postscript, and SGML).

=== doc-linux/debian/rules ===
#!/usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# Marco Budde (Budde@tu-harburg.de)
# Colin Watson (cjwatson@debian.org)

# The name of the package

R = debian/doc-linux-html
R2 = debian/doc-linux-text

HTML_BUILD = $(R)/usr/share/doc/HOWTO/en-html
TEXT_BUILD = $(R2)/usr/share/doc/HOWTO/en-txt

BZTAR = tar --bzip2

source = $(shell dpkg-parsechangelog | grep '^Source:' | sed 's/^Source: //')
upstream = $(shell dpkg-parsechangelog | grep '^Version:' | \
		   sed -e 's/^Version: //' -e 's/-.*//')

export DH_COMPAT = 2
export DH_OPTIONS

$(DIRECTORIES):
	install -d -g root -o root -m 755 $@
	chmod g-s $@

# Override this if you want to use a mirror closer to home.
LDP_MIRROR = ftp://sunsite.unc.edu/pub/Linux/docs

# This should only need to be overridden if the database host moves.
LDP_OMF = http://www.lampadas.org/omf

refresh: refresh-howto-html refresh-howto-text refresh-faq
# refresh-xml

refresh-howto-docbook:
	dh_testdir
	# Update DocBook versions of the HOWTOs.
	[ -d HOWTO ] || mkdir HOWTO
	wget --recursive --timestamping --level 1 \
		--no-directories --directory-prefix HOWTO --passive \
		$(LDP_MIRROR)/HOWTO/other-formats/docbook/
	[ -d HOWTO/mini ] || mkdir HOWTO/mini
	wget --recursive --timestamping --level 1 \
		--no-directories --directory-prefix HOWTO/mini --passive \
		$(LDP_MIRROR)/HOWTO/mini/other-formats/docbook/

refresh-howto-html:
	dh_testdir
	# Update HTML versions of the HOWTOs.
	[ -d HOWTO ] || mkdir HOWTO
	wget --timestamping --passive \
		--no-directories --directory-prefix HOWTO \
		$(LDP_MIRROR)/HOWTO/other-formats/html/Linux-html-HOWTOs\*.bz2 \
		$(LDP_MIRROR)/HOWTO/mini/other-formats/html/Linux-mini-html-HOWTOs\*.bz2

refresh-howto-text:
	dh_testdir
	# Update text versions of the HOWTOs.
	[ -d HOWTO ] || mkdir HOWTO
	wget --timestamping --passive \
		--no-directories --directory-prefix HOWTO \
		$(LDP_MIRROR)/HOWTO/Linux-HOWTOs\*.bz2 \
		$(LDP_MIRROR)/HOWTO/mini/Linux-mini-HOWTOs\*.bz2

refresh-faq:
	dh_testdir
	# Update the Linux FAQ.
	[ -d FAQ ] || mkdir FAQ
	wget --timestamping --no-directories --directory-prefix FAQ --passive \
		$(LDP_MIRROR)/faqs/linux-faq/Linux-FAQ.html.tar.gz \
		$(LDP_MIRROR)/faqs/linux-faq/Linux-FAQ

# Eventually this XML description (or the related one at ldp.xml) might
# become more intricately involved with this package's build process. It
# probably should. I'm not going to mess around with that during the freeze,
# though.
refresh-xml:
	dh_testdir
	# Update the OMF document index.
	[ -d xml ] || mkdir xml
	wget --timestamping --output-document xml/ldp-omf.xml --passive \
		$(LDP_OMF)

build: build-stamp
build-stamp:
	dh_testdir
#	$(BZTAR) -tf HOWTO/Linux-html-HOWTOs.tar.bz2 \
#		>  xml/doc-linux.list
#	$(BZTAR) -tf HOWTO/Linux-mini-html-HOWTOs.tar.bz2 \
#		>> xml/doc-linux.list
#	chmod +x debian/make-omf	# diffs don't preserve permissions
#	debian/make-omf /usr/share/doc/HOWTO/en-html xml/doc-linux.list \
#		xml/ldp-omf.xml > xml/doc-linux.omf
	touch $@

# Undoes the effect of `make -f rules build'.
clean:
	dh_testdir
	dh_testroot
	rm -rf $(R) $(R2)
#	rm -f xml/doc-linux.list xml/doc-linux.omf
	dh_clean build-stamp debian/doc-linux-html.menu

# Build a new .orig.tar.gz.
orig: clean
	tar -C .. --exclude debian -czvf \
	    ../$(source)_$(upstream).orig.tar.gz $(source)-$(upstream)

# Construct the binary packages.

binary-doc-linux-html: DH_OPTIONS=-pdoc-linux-html
binary-doc-linux-html: build
	dh_testdir
	dh_testroot
	dh_clean -d
	dh_installdirs

	$(BZTAR) -C $(HTML_BUILD) -xf HOWTO/Linux-html-HOWTOs.tar.bz2
	mkdir $(HTML_BUILD)/mini
	$(BZTAR) -C $(HTML_BUILD)/mini -xf HOWTO/Linux-mini-html-HOWTOs.tar.bz2

	# Replace some relative links with links to the LDP web site.
	patch -d $(HTML_BUILD) -p0 < debian/redirect.patch
	perl -pi -e 's,^HREF="../../,HREF="http://www.tldp.org/,' \
		$(HTML_BUILD)/HOWTO-INDEX/*.html

	# The HTML version of this HOWTO contains sample i386-only binaries.
	# Removed for now.
	rm -rf $(HTML_BUILD)/RedHat-CD-HOWTO*

	chmod +x debian/html2docs	# diffs don't preserve permissions
	debian/html2docs HOWTO HOWTO \
		$(HTML_BUILD)/.dhelp debian/doc-linux-html.menu \
		$(HTML_BUILD) \
		$(HTML_BUILD)/HOWTO-INDEX/howtos.html
#	install -m 644 xml/doc-linux.omf \
#		$(R)/usr/share/omf/doc-linux-html/HOWTOs.omf

	cp -a HOWTO/extra $(HTML_BUILD)
	find $(HTML_BUILD)/extra -name \*.txt | xargs rm -f

	tar -C $(R)/usr/share/doc/FAQ -xzvf FAQ/Linux-FAQ.html.tar.gz
	ln -s ../FAQ $(R)/usr/share/doc/doc-linux-html/FAQ
	install -m 644 debian/doc-base.faq $(R)/usr/share/doc-base/linux-faq

	dh_installdocs -n
	dh_installchangelogs
	gzip -9 $(R)/usr/share/doc/doc-linux-html/changelog.Debian
	ln -s ../HOWTO/en-html $(R)/usr/share/doc/doc-linux-html/HOWTO
	dh_installmenu
	install -m644 debian/doc-linux-html.overrides \
		$(R)/usr/share/lintian/overrides/doc-linux-html

binary-doc-linux-text: DH_OPTIONS=-pdoc-linux-text
binary-doc-linux-text: build
	dh_testdir
	dh_testroot
	dh_clean -d
	dh_installdirs

	$(BZTAR) -C $(TEXT_BUILD) -xf HOWTO/Linux-HOWTOs.tar.bz2
	mkdir $(TEXT_BUILD)/mini
	$(BZTAR) -C $(TEXT_BUILD)/mini -xf HOWTO/Linux-mini-HOWTOs.tar.bz2
	rm -f $(TEXT_BUILD)/COPYRIGHT

	mkdir $(TEXT_BUILD)/extra
	set -e; for x in `find HOWTO/extra -name \*.txt -printf '%P\n'`; do \
		name=`dirname $$x`; \
		if [ -e $(TEXT_BUILD)/extra/$$name ]; then \
			echo "WARNING: Multiple text documents for $$name!"; \
		fi; \
		install -m 644 HOWTO/extra/$$x $(TEXT_BUILD)/extra/$$name; \
	done

	install -m 644 FAQ/Linux-FAQ $(R2)/usr/share/doc/FAQ
	ln -s ../FAQ $(R2)/usr/share/doc/doc-linux-text/FAQ

	find $(TEXT_BUILD) $(R2)/usr/share/doc/FAQ -type f | xargs gzip -9

	dh_installdocs -n
	dh_installchangelogs
	gzip -9 $(R2)/usr/share/doc/doc-linux-text/changelog.Debian
	ln -s ../HOWTO/en-txt $(R2)/usr/share/doc/doc-linux-text/HOWTO

binary-arch:

# Makes a binary package.
binary-indep: DH_OPTIONS=-i
binary-indep: binary-doc-linux-html binary-doc-linux-text
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: refresh refresh-howto-docbook refresh-howto-html refresh-howto-text
.PHONY: refresh-faq refresh-xml clean orig
.PHONY: binary-doc-linux-html binary-doc-linux-text
.PHONY: binary-arch binary-indep binary
